<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
SELECT varid
	,varkind
	,varcode
	,varname
	,varclass
	,vartype
	,varunit
	,varvalue
	,dscrp
	,createtime
	,createby
	,formula
	,ifmxformula
FROM u_bednet_var
  </selectstr>
  <where>
	<when notnull="@varkind">
		u_bednet_var.varkind = @varkind
	</when>
  </where>
  <displayfields>
    <field field="pid" compute="getrow()">序</field>
    <field field="varkind" mapper="">变量应用分类</field>
    <field field="vartype" mapper="">变量类别</field>
    <field field="varclass" mapper="">变量分类</field>
    <field field="varcode">变量编号</field>
    <field field="varname">变量名称</field>
    <field field="varunit">变量单位</field>
    <field field="formula">公式</field>
    <field field="dscrp">备注</field>
    <field field="createby">等记人</field>
    <field field="createtime" datatype="datetime">登记时间</field>
    <field field="ifmxformula" datatype="checkbox">是否属于明细计算</field>
  </displayfields>
</select>
